{% extends "base.html" %}
{% block title %}Solicitud Defensa{% endblock %}
{% block body %}
    {{ super() }}



      <div class="forms">
          {% if user.esEstudiante() %}
          <div class="forms">
            <form method="post" enctype="multipart/form-data">
              <p> Fichero TFG:
              <input type="file" name="ufile" accept="application/pdf"/>
              <input type="submit" value="Subir">
            </form>
            </div>
            <a href="static/licencia.pdf" download>
              Descarga de Licencia
            </a>
            <br>
            <br>
            <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
          {% endif %}


            
           

          {% if user.esTutor(tfg) %}
          <div class="forms">
            <form id="form" action = "" method = "post" onsubmit="return submitForm(this);">
               <div class="form-group">
                  <label>Inserte aqui anotaciones sobre la solicitud de defensa</label>
                  <textarea id="texto" class="form-control" rows="10" name = "anotacion_solicitud" ></textarea>  
                  <br>
                  {% if user.esAutonoma() %}
                  <label>Nota</label>
                  <input id="pre" type="number" step="0.1" name="nota" min="0" max="10"><br>
                  {% endif %}
              </div>

              <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
              <button class="btn btn-primary" type="submit" name="btn_modificar">Aceptar</button>
              
          </form>
          </div>
          {% endif %}
          
          

      <script>

        

      function submitForm() {

        var mystring = document.getElementById('texto').value; 
          if(!mystring.match(/\S/)) {
              alert ('Por favor, rellene todos los campos');
              return false;
          } else {
              return confirm('¿Estás seuro que quieres continuar?');
          }
        
      }


</script>

{% endblock %}